/**
 * ActClassOrganizer2.java
 *
 * File generated from the medication2::ActClassOrganizer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassOrganizer2.
 *
 * 
 */

@XmlType(name = "ActClassOrganizer")
@XmlEnum
@XmlRootElement(name = "ActClassOrganizer2")
public enum ActClassOrganizer2 {
	@XmlEnumValue("ORGANIZER")
	ORGANIZER("ORGANIZER"),
	@XmlEnumValue("CATEGORY")
	CATEGORY("CATEGORY"),
	@XmlEnumValue("DOCBODY")
	DOCBODY("DOCBODY"),
	@XmlEnumValue("DOCSECT")
	DOCSECT("DOCSECT"),
	@XmlEnumValue("TOPIC")
	TOPIC("TOPIC");
	
	private final String value;

    ActClassOrganizer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassOrganizer2 fromValue(String v) {
        for (ActClassOrganizer2 c: ActClassOrganizer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
